Skip to main content
GET
/
solar-inverter
List solar inverter devices
curl --request GET \
  --url https://api.example.com/solar-inverter \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "vendor": "<string>",
      "sync": {
        "available": true,
        "lastPulledAt": "<string>"
      },
      "metadata": {
        "model": "<string>",
        "source": "cache",
        "cacheType": "expedite"
      },
      "state": {
        "status": "producing",
        "currentPower": 123,
        "producing": true,
        "energyTotal": 123
      },
      "features": {
        "pull": [
          {
            "key": "<string>",
            "min": 123,
            "max": 123
          }
        ],
        "push": [
          {
            "key": "<string>",
            "min": 123,
            "max": 123
          }
        ]
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

userId
string

Filter devices by userId

Example:

"user_abc123"

offset
number

Number of devices to skip (default: 0)

Example:

0

limit
number

Maximum number of devices to return (1-50, default: 10)

Example:

10

Response

Solar inverter devices retrieved successfully

items
object[]
required
pagination
object
required